function setup()
	actor.nodeName = "WARNING : EPIC BLACK HOLE BATTLE"
	--actor.displayName = "< BLACK HOLE DETECTED! >"
	actor.setEffectIcon("blackhole.png")
	actor.addTerrain("terrain_blackhole")
	actor.addEvent("gatex_6", 0)
	actor.addEvent("gatey_-6", 0)
	actor.randomizePlacement = 0
	actor.x = 0
	actor.y = 0
	actor.durable = 1
	actor.solid = 1
	actor.scale = .75
	actor.alpha = .8
	actor.shade = 150
	actor.behavior = "slowspin"
end